Aadhaar Masking
curl --request POST \
--url https://production.deepvue.tech/v1/documents/aadhaar-masking \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"document": "<string>",
"consent": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/documents/aadhaar-masking"
payload = {
"document": "<string>",
"consent": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({document: '<string>', consent: '<string>'})
};
fetch('https://production.deepvue.tech/v1/documents/aadhaar-masking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/documents/aadhaar-masking",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document' => '<string>',
'consent' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/documents/aadhaar-masking"
payload := strings.NewReader("{\n \"document\": \"<string>\",\n \"consent\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/documents/aadhaar-masking")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document\": \"<string>\",\n \"consent\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/documents/aadhaar-masking")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document\": \"<string>\",\n \"consent\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": null,
"transaction_id": "string",
"sub_code": "SUCCESS",
"message": "Document Masked Successfully",
"data": {
"masked_document": "string"
}
}Document
Aadhaar Masking
These are set of APIs that help with document forensic checks like template validation, image quality, photocopy, and spoof checks.
POST
/
v1
/
documents
/
aadhaar-masking
Aadhaar Masking
curl --request POST \
--url https://production.deepvue.tech/v1/documents/aadhaar-masking \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"document": "<string>",
"consent": "<string>"
}
'import requests
url = "https://production.deepvue.tech/v1/documents/aadhaar-masking"
payload = {
"document": "<string>",
"consent": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({document: '<string>', consent: '<string>'})
};
fetch('https://production.deepvue.tech/v1/documents/aadhaar-masking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://production.deepvue.tech/v1/documents/aadhaar-masking",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'document' => '<string>',
'consent' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://production.deepvue.tech/v1/documents/aadhaar-masking"
payload := strings.NewReader("{\n \"document\": \"<string>\",\n \"consent\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://production.deepvue.tech/v1/documents/aadhaar-masking")
.header("Authorization", "Bearer <token>")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"document\": \"<string>\",\n \"consent\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://production.deepvue.tech/v1/documents/aadhaar-masking")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"document\": \"<string>\",\n \"consent\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"code": 200,
"timestamp": null,
"transaction_id": "string",
"sub_code": "SUCCESS",
"message": "Document Masked Successfully",
"data": {
"masked_document": "string"
}
}Aadhaar masking hides the QR code and first 8 digits of the Aadhaar number on official documents, safeguarding privacy and minimizing identity theft risk. This practice enables verifications while limiting access to personal information, ensuring privacy and data security.
Aadhaar masking API takes base64 or publically accessible URL of the aadhaar document as input and returns back the masked Aadhaar Document in response.
Authorizations
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.